package Common.Visual.Menus;
import Common.MainModule_;
import Common.Utils.Utils_;
import Common.Visual.Fonts.VisualiserFonts;

import javax.swing.*;
public class VisualiserMenuItem extends JMenuItem {
    public VisualiserMenuItem(String text) {
        super(text, null);
        setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.Menu));
    }
    public VisualiserMenuItem(String text, String icon_path) {
        super(text);
        setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.Menu));
        if (icon_path != null)
            setIcon(Utils_.getIcon(icon_path));
    }
    public VisualiserMenuItem() {
        setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.Menu));
    }
}
